/*
Vehicle Maintenance Script by Dreadnought (Superdreadnought@gmx.de)
Version 1.0 (2007-07-21)

Implementation:
	1. Create a trigger suitable for your maintenance purpose.
	2. ExecVM the script (for example with a game-logic object) and pass the triggers name (Example: null = trigger1 execVM "vehicleMaintenance.sqf";).
	
	In order to have multiple maintenance zones simply create multiple triggers and start a new script-entity for each of it.
*/


while {(true)} do {
	{
		if (not (_x isKindOf "Man") and (count crew _x != 0) and (speed _x < 1) and (speed _x > -1) and (getPos _x select 2 < 1)) then {
			_x setVehicleAmmo 1;
			
			while {(count crew _x != 0) and ((damage _x > 0) or (fuel _x < 0.99)) and (speed _x < 1) and (speed _x > -1) and (getPos _x select 2 < 1)} do {
				if (damage _x > 0) then {
					_x setDamage ((damage _x) - 0.01);
				};
				
				if (fuel _x < 1) then {
					_x setFuel ((fuel _x) + 0.01);
				};
				
				sleep 0.1;
			};
		};
	} forEach list _this;
	
	sleep 1;
};